<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include 'inclydings/ini.php';
include_once"inclydings/zag.php";
if (isset($user)) {
$dir = opendir ("L2dbnam/esql2db/blocked"); 
echo'<div id="menu6">';
echo "<b>Их игра окончена, т.к. они нарушили правила игры</b><br/><br/>";
$col="10";
$mmm=$col;
if(empty($go)){$go="1";}
$dir=opendir("L2dbnam/esql2db/blocked"); 
$n = "0";
while(($k=readdir($dir))!==false){ 
if ($k=='.'||$k=='..') continue; 
$n++;}
closedir($dir);
$num=($col); 
if ($num!==(int)$num){$foo = (int) $num;
$fo = ($foo + 1);}   else  {$fo=$num;}
for ($i="1"; $i<=$fo; $i++) 
if ($go == "") {$c="0";}   else     {$c=($col*($go-1));}
$dir = opendir ("L2dbnam/esql2db/blocked"); 
while ($file = readdir ($dir)) 
{
if (( $file != ".") && ($file != ".."))
{ $file= str_replace(".dat","",$file);
$file2= "$file";
$text = @file("L2dbnam/esql2db/reg/$file2.dat"); 
$udat = explode(":||:",$text[0]);
$hp=trim($udat[9]);
$la = $la + 1;
$texw = @file("L2dbnam/esql2db/blocked/$k[$i]");
$dataw = explode(":||:",$texw[0]);
$dielog[]=$dataw[0];
$data[1]=trim($data[1]);
if($go=="1"){$col=round($mmm+1);}
if($la>$c-1 and $la<$c+$col){
if ($mode == "1"){$ee = strtr($e1,$tran);}else{$ee = $e1;}
$laa = $la + 1; 
$data[1]=trim($data[1]);
$texwww = @file("L2dbnam/esql2db/blocked/$file.dat");
$akt = explode("||",$texwww[0]);
echo "<a href=\"search.php?$sd&nick=$file&amp;go=go\">$file</a> [$hp lvl]<br/>Причина <b>$akt[3]</b><br/>Посадил <b><a href=\"search.php?$sd&nick=$akt[0]&amp;go=go\">$akt[0]</a></b> <br/>- - -<br/>";
}}
}
closedir ($dir);
if ($go == "") {$c="0";}   else{$c=($col*($go-1));}
$lis = $go + 1;
$lis1 = $go - 1;
echo "<br/>Всего заблокированых: $n<br/>- - -<br/>";
if ($lis1 < "1") {} else{print "<a href=\"sklep.php?go=$lis1&$sd\">Назад</a> | ";}
if ($lis == "$i")  {} else { print "<a href=\"sklep.php?go=$lis&$sd\">Вперед</a>";}
echo'</div>';
include_once("inclydings/down.php");
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}
include_once"inclydings/down.php";
?>